<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

// phpcs:ignore PSR1.Classes.ClassDeclaration.MissingNamespace
final class CreateUsersTable extends AbstractMigration
{
    public function up()
    {
        $table = $this->table('users');
        $table->addColumn('username', 'string')
            ->addColumn('password', 'string')
            ->save();
    }

    public function down()
    {
        $this->table('users')->drop()->save();
    }
}
